package edwards25519

type PrecomputedTable [32]affineLookupTable

func PointTablePrecompute(q *Point) *PrecomputedTable {
	p := new(Point)
	p.Set(q)

	var table PrecomputedTable

	for i := 0; i < 32; i++ {
		table[i].FromP3(p)
		for j := 0; j < 8; j++ {
			p.Add(p, p)
		}
	}
	return &table
}
